#!/bin/bash
set -e

# Set the name of the virtual environment
VENV_NAME="myvenv"

# Check if Python 3.10 is available
if ! python --version 2>&1 | grep -q "3.10"; then
    echo "Python 3.10 not found!"
    exit 1
fi

# Create a virtual environment
python -m venv $VENV_NAME

# Activate the virtual environment
source $VENV_NAME/bin/activate

# Install the specified packages
pip install vtk pyqt5 pyvista itkwidgets spyder notebook

# Notify the user that the setup is complete
echo "Setup complete!"
